Package Details: dracut-git 100.r6891.136079d-1

Git Clone URL: https://aur.archlinux.org/dracut-git.git (read-only, click to copy)
Package Base: dracut-git
Description: An event driven initramfs infrastructure
Upstream URL: https://github.com/dracut-ng/dracut-ng
Licenses: GPL-2.0-or-later
Conflicts: dracut
Provides: dracut, initramfs
Submitter: diabonas
Maintainer: LaszloGombos
Last Packager: LaszloGombos
Votes: 5
Popularity: 0.42
First Submitted: 2019-07-21 15:57 (UTC)
Last Updated: 2024-04-06 02:54 (UTC)

Required by (150)

Sources (1)

Latest Comments

1 2 Next › Last »

LaszloGombos commented on 2024-03-31 09:13 (UTC)

060.r6820.eeced5c-1 is now switched to the new upstream at https://github.com/dracut-ng/dracut-ng .

freswa commented on 2024-03-30 19:43 (UTC)

Heads up. This package will move to a new upstream https://github.com/dracut-ng/dracut-ng soon. It's a coordinated fork with some of the old maintainer involved as well as other distributions.

<deleted-account> commented on 2024-03-26 06:36 (UTC)

Ah, apologies, I didn't think my previous comment through very clearly. I had come straight here from https://gitlab.archlinux.org/archlinux/packaging/packages/dracut/-/issues/5 without actually testing dracut-git first. But of course, the whole point of -git packages is that they follow mainline branch rather than latest release.. ;)

LaszloGombos commented on 2024-03-25 23:09 (UTC)

https://github.com/dracutdevs/dracut/commit/b2af8c8bcfc72802e02e2c0adc2eed9279101624 landed upstream already and as such already included.

https://github.com/dracutdevs/dracut/commit/166456331d55cdc23946c11315dc2c88aab15911 has a merge conflict.

https://raw.githubusercontent.com/gentoo/gentoo/master/sys-kernel/dracut/files/dracut-060-grub-layout.patch resolved this conflict.

According to commit message the grub layout for using grub with systemd's kernel-install is not supported by systemd upstream. Have you tested this on Arch ?

<deleted-account> commented on 2024-03-25 21:10 (UTC)

Hiya! I see that you're carrying an impressive number of patches here ;) Might I suggest a couple more?

https://github.com/dracutdevs/dracut/commit/166456331d55cdc23946c11315dc2c88aab15911 https://github.com/dracutdevs/dracut/commit/b2af8c8bcfc72802e02e2c0adc2eed9279101624

LaszloGombos commented on 2024-03-03 21:10 (UTC)

Thanks @pants. I pushed 060.r6794.4980bad-12 with the change you suggested.

pants commented on 2024-03-03 17:37 (UTC)

This package no longer builds, I need to modify line 149 to remove a directory escape:

  for p in ../*.patch ; do
-    patch -Np1 < ../$p
+    patch -Np1 < $p

As a side-note, the new maintainer of this package has added a huge number of patches, without clear reason. It would be nice if the motivation was at least added to the git commit messages, if not to the PKGBUILD itself. It is a little funny to apply so many patches to the development branch of a -git package.

swsnr commented on 2022-01-08 07:36 (UTC)

@diabonas Thanks a lot :)

diabonas commented on 2022-01-07 20:59 (UTC)

@lunaryorn Sure, done :)